# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>

# From Arch Linux AUR:
# Co-Maintainer: Johannes Wienke <languitar@semipol.de>
pkgname=drawio-desktop
pkgver=20.7.4
pkgrel=0
pkgdesc="Diagram drawing application built on web technology"
arch=('amd64')
url="https://github.com/jgraph/drawio-desktop"
license=('Apache')
replaces=('draw.io')
depends=('libgtk-3-0' 'libxss1' 'libnss3' 'libnotify4' 'xdg-utils' 'libsecret-1-0')
source=("${pkgname}_${pkgver}-${pkgrel}_${arch}.deb::https://github.com/jgraph/drawio-desktop/releases/download/v${pkgver}/drawio-amd64-${pkgver}.deb")
sha256sums=('95b67fe30b8ab6ea25404ba4a6ed6899acb10b6bb34a6895a22a8d49a082105a')

package() {
    cd "${srcdir}"
    msg2 "Setting up data..."
    tar xf data.tar.xz -C "${pkgdir}"
    chmod 4755 "${pkgdir}/opt/drawio/chrome-sandbox"
    mkdir -p "${pkgdir}/usr/bin"
    ln -sf "/opt/drawio/drawio" "${pkgdir}/usr/bin/draw.io"
    ln -sf "/opt/drawio/drawio" "${pkgdir}/usr/bin/drawio"
    msg2 "Disabling autoupdater..."
    sed -i 's/^Exec=.*/Exec=env DRAWIO_DISABLE_UPDATE=true \/opt\/drawio\/drawio %U/' "${pkgdir}/usr/share/applications/drawio.desktop"
}
